package com.clx.performance.service.child;

import com.clx.performance.model.OrderChild;
import com.clx.performance.model.OrderChildPoundAudit;

public interface OrderChildPostService {

    void orderChildAdd(String childNo);
    void orderChildArriveReceiveAddress(OrderChild orderChild);
    void orderChildDriverConfirm(OrderChild orderChild);

    void orderChildCancelByDriver(OrderChild orderChild, Integer opUserType, Long opUserNo, String opUserName);
    void orderChildCancelByCarrier(OrderChild orderChild, Integer opUserType, Long opUserNo, String opUserName);
    void orderChildCancelByArtificial(String childNo);

    void arriveSendAddressTimeoutCancel(OrderChild orderChild);
    void orderCancel(String childNo);
    void orderGoodsCancel(String childNo);

    void orderChildFinish(String childNo);

    void orderChildPoundAudit(OrderChild orderChild, OrderChildPoundAudit poundAuditDetail);
}
